USE [master]
GO

/****** Object:  Database [BatchStatus]    Script Date: 03/14/2013 17:22:48 ******/
IF  EXISTS (SELECT name FROM sys.databases WHERE name = N'BatchStatus')
DROP DATABASE [BatchStatus]
GO

/****** Object:  Database [BatchStatus]    Script Date: 03/14/2013 13:53:21 ******/
CREATE DATABASE [BatchStatus] ON  PRIMARY 
( NAME = N'BatchStatus', FILENAME = N'C:\Inetpub\wwwroot\KCPBatMon\App_Data\BatchStatus.mdf' , SIZE = 10240KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'BatchStatus_log', FILENAME = N'C:\Inetpub\wwwroot\KCPBatMon\App_Data\BatchStatus_log.ldf' , SIZE = 1280KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [BatchStatus] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [BatchStatus].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [BatchStatus] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [BatchStatus] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [BatchStatus] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [BatchStatus] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [BatchStatus] SET ARITHABORT OFF 
GO

ALTER DATABASE [BatchStatus] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [BatchStatus] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [BatchStatus] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [BatchStatus] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [BatchStatus] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [BatchStatus] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [BatchStatus] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [BatchStatus] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [BatchStatus] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [BatchStatus] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [BatchStatus] SET  DISABLE_BROKER 
GO

ALTER DATABASE [BatchStatus] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [BatchStatus] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [BatchStatus] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [BatchStatus] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [BatchStatus] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [BatchStatus] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [BatchStatus] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [BatchStatus] SET  READ_WRITE 
GO

ALTER DATABASE [BatchStatus] SET RECOVERY FULL 
GO

ALTER DATABASE [BatchStatus] SET  MULTI_USER 
GO

ALTER DATABASE [BatchStatus] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [BatchStatus] SET DB_CHAINING OFF 
GO

USE [BatchStatus]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

/****** Object:  Table [dbo].[BatchHistory] ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BatchHistory]') AND type in (N'U'))
DROP TABLE [dbo].[BatchHistory]
GO

CREATE TABLE [dbo].[BatchHistory](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[CompName] [nvarchar](255) NULL,
	[JobName] [nvarchar](255) NULL,
	[BatchName] [nvarchar](255) NULL,
	[EventTime] [nvarchar](255) NULL,
	[State] [nvarchar](255) NULL,
	[Error] [nvarchar](255) NULL,
	[CreatedWorkstation] [nvarchar](255) NULL,
 CONSTRAINT [PK_BatchHistory] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[BatchInfo] ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BatchInfo]') AND type in (N'U'))
DROP TABLE [dbo].[BatchInfo]
GO

CREATE TABLE [dbo].[BatchInfo](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[CompName] [nvarchar](255) NULL,
	[JobName] [nvarchar](255) NULL,
	[BatchName] [nvarchar](255) NULL,
	[EventTime] [nvarchar](255) NULL,
	[State] [nvarchar](255) NULL,
	[Error] [nvarchar](255) NULL,
	[CreatedWorkstation] [nvarchar](255) NULL,
	[Location] [nvarchar](255) NULL,
	[SizeOfImages] [nvarchar](255) NULL,
	[CreatedDateTime] [nvarchar](255) NULL,
	[CreatedUser] [nvarchar](255) NULL,
	[ModDateTime] [nvarchar](255) NULL,
	[ModWorkstation] [nvarchar](255) NULL,
	[ModUser] [nvarchar](255) NULL,
	[StartDocID] [nvarchar](255) NULL,
	[FirstDocID] [nvarchar](255) NULL,
	[LastDocID] [nvarchar](255) NULL,
	[DocCount] [nvarchar](255) NULL,
	[BWCount] [nvarchar](255) NULL,
	[ColorCount] [nvarchar](255) NULL,
	[GrayCount] [nvarchar](255) NULL,
	[ImgCount] [nvarchar](255) NULL,
	[PageCount] [nvarchar](255) NULL,
	[FrontsCaptured] [nvarchar](255) NULL,
	[FrontsRescanned] [nvarchar](255) NULL,
	[FrontsRemoved] [nvarchar](255) NULL,
	[FrontsDeleted] [nvarchar](255) NULL,
	[BacksCaptured] [nvarchar](255) NULL,
	[BacksRescanned] [nvarchar](255) NULL,
	[BacksRemoved] [nvarchar](255) NULL,
	[BacksDeleted] [nvarchar](255) NULL,
	[OutputUser] [nvarchar](255) NULL,
	[OutputWorkstation] [nvarchar](255) NULL,
	[OutputServer] [nvarchar](255) NULL,
 CONSTRAINT [PK_BatchInfo] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[BatchStats] ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BatchStats]') AND type in (N'U'))
DROP TABLE [dbo].[BatchStats]
GO

CREATE TABLE [dbo].[BatchStats](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Workstation] [nvarchar](255) NULL,
	[Normal] [int] NULL,
	[Processed] [int] NULL,
	[Processing] [int] NULL,
	[Error] [int] NULL,
	[Other] [int] NULL,
	[Total] [int] NULL,
 CONSTRAINT [PK_BatchStats] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO